DaemonForums  

Go Back   DaemonForums > OpenBSD > OpenBSD General

OpenBSD General Other questions regarding OpenBSD which do not fit in any of the categories below.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 20th November 2012
hugsvarna hugsvarna is offline
Real Name: Hugo A.
New User
 
Join Date: Nov 2012
Location: Turku, Finland
Posts: 2
Thanked 0 Times in 0 Posts
Default 5.2 and Packettracer 53 emulation

Hello
This is my first post here so first i'd like to say thanks for the forum.
I'm trying to make cisco's packettracer work under OpenBSD 5.2 i386
  1. followed the manual to 'enable running Linux binaries
  2. installed fedora_base
  3. copy a working packettracer from a i386 linux distro (debian) to /usr/local/emul/fedora/ and also to /usr/local/emul/debian both with the proper libraries
When i try to run it in both cases i get
'./PacketTracer5: /lib/libc.so.6: version `GLIBC_2.4' not found (requiredQtWebKit.so.4)'

i tried to use a preload (LD_LIBRARY_PATH=<the proper path> ./Packettracer5 with the same result.

I'm stuck here... i couldn't find any help
thanks for your time
Reply With Quote
  #2   (View Single Post)  
Old 20th November 2012
jggimi's Avatar
jggimi jggimi is offline
More noise than signal
 
Join Date: May 2008
Location: USA
Posts: 3,640
Thanked 214 Times in 189 Posts
Default

Hello and welcome!

For OpenBSD 5.2, the emulators/fedora/base package contains libraries from Fedora 4, which uses libc-2.3.6. I don't run Linux emulation, I just looked through CVS to see what the packing list for 5.2-release contained.

You can either acquire a more up-to-date libc from a more modern Linux, and see if that solves your problem, or, you can upgrade from 5.2 to -current, as the -current version of emulators/fedora/base is Fedora 10, which uses libc-2.9.

If you are considering -current, please read FAQ 5.1 carefully before making the jump. It is the development branch, and has special considerations.

If you are considering trying to use a -current emulators/fedora/base port/package on your -release system, please don't attempt it. Instead, read FAQ 15.4.1 carefully.
Reply With Quote
  #3   (View Single Post)  
Old 23rd November 2012
hugsvarna hugsvarna is offline
Real Name: Hugo A.
New User
 
Join Date: Nov 2012
Location: Turku, Finland
Posts: 2
Thanked 0 Times in 0 Posts
Default

Hi and thanks for the answer.
After some frustrated attempts i decided to do it with debian (just because i felt more confident after being using it for years) so i took my debian 386, i tar the whole usr/ and i paste it in my openbsd under usr/local/emul/debian. Of course it had to work and it did it, i don't dare to mark this as solved 'cos i understand it was the "less elegant" solution but is working for me. The End
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
enabling linux binary emulation .. could it harm ? daemonfowl OpenBSD Security 7 30th July 2012 02:20 PM
Point of Presence server emulation sparky OpenBSD General 4 26th March 2012 08:28 AM
Why does the opera need linux emulation ? sw2wolf OpenBSD Packages and Ports 6 20th March 2012 12:18 PM
shared libraries and linux emulation Business_woman FreeBSD General 4 16th November 2008 10:03 AM
Linux emulation Mr-Biscuit FreeBSD General 2 9th October 2008 09:44 PM


All times are GMT. The time now is 10:18 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick